%define majver %(echo %version | cut -d. -f1-2)

Name:          qt5-qtscxml
Version:       5.15.2
Release:       2mamba
Summary:       Qt5 scxml component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtscxml-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END

%description
Qt5 scxml component.

%package -n libQt5Scxml
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libQt5Scxml
This package contains shared libraries for %{name}.

%package -n libQt5Scxml-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libQt5Scxml = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libQt5Scxml-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtscxml-everywhere-src-%{version}

%build
%_qt5_qmake

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot} STRIP=/bin/true

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libQt5Scxml -p /sbin/ldconfig
%postun -n libQt5Scxml -p /sbin/ldconfig

%files -n libQt5Scxml
%defattr(-,root,root)
%{_libdir}/libQt5Scxml.so.*
%dir %{_libdir}/qt5/qml/QtScxml
%{_libdir}/qt5/qml/QtScxml/*
%doc LICENSE.*

%files -n libQt5Scxml-devel
%defattr(-,root,root)
%{_libdir}/qt5/bin/qscxmlc
%dir %{_includedir}/qt5/QtScxml
%{_includedir}/qt5/QtScxml/*
%{_libdir}/libQt5Scxml.la
%{_libdir}/libQt5Scxml.prl
%{_libdir}/libQt5Scxml.so
%{_libdir}/qt5/mkspecs/features/qscxmlc.prf
%{_libdir}/qt5/mkspecs/modules/qt_lib_scxml*.pri
%dir %{_libdir}/cmake/Qt5Scxml
%{_libdir}/cmake/Qt5Scxml/Qt5Scxml*.cmake
%{_libdir}/pkgconfig/Qt5Scxml.pc

%changelog
* Wed Nov 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release

* Wed Nov 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
